package net.benjidial.nswp.commands;

import net.benjidial.nswp.Database;
import net.benjidial.nswp.Waypoint;

import org.bukkit.entity.Player;

import java.sql.SQLException;

public class SaveWaypoint extends WaypointCommand {
  public CompletionType getCompletionType() {
    return CompletionType.None;
  }

  public boolean body(Player player, String[] args) throws SQLException {
    if (args.length != 1)
      return false;
    Waypoint waypoint = new Waypoint(args[0], player.getLocation());
    Database.addWaypoint(player, waypoint);
    return true;
  }
}
